param(
    [Parameter(Mandatory = $true)]
    $enderecoArquivoConfiguracao,

    [Parameter(Mandatory = $true)]
    $suprimirConfirmacoes,

    [Parameter(Mandatory = $false)]
    $enderecoChavePublica,

    [Parameter(Mandatory = $false)]
    $senha
)

$ErrorActionPreference = 'Stop'

. $PSScriptRoot\executarInstalacaoLinuxFuncoes.ps1

mu.executarInstalacaoLinux  -enderecoArquivoConfiguracao $enderecoArquivoConfiguracao `
                            -suprimirConfirmacoes $suprimirConfirmacoes `
                            -enderecoChavePublica $enderecoChavePublica `
                            -senha $senha
